Package net.shibboleth.idp.saml.xmlobject.impl

# Class ScopeMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
net.shibboleth.idp.saml.xmlobject.impl.ScopeMarshaller

All Implemented Interfaces:
  `Marshaller`

@ThreadSafe public class ScopeMarshaller extends AbstractXMLObjectMarshaller
Marshaller for `Scope`.

## Constructor Summary

Constructors
Constructor
Description
`ScopeMarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`marshallAttributes(XMLObject xmlObject, Element domElement)`
`protected void`
`marshallElementContent(XMLObject xmlObject, Element domElement)`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScopeMarshaller

public ScopeMarshaller()

## Method Details

### marshallAttributes

protected void marshallAttributes(@Nonnull XMLObject xmlObject, @Nonnull Element domElement) throws MarshallingException

Overrides:
  `marshallAttributes` in class `AbstractXMLObjectMarshaller`
Throws:
  `MarshallingException`

### marshallElementContent

protected void marshallElementContent(@Nonnull XMLObject xmlObject, @Nonnull Element domElement) throws MarshallingException

Overrides:
  `marshallElementContent` in class `AbstractXMLObjectMarshaller`
Throws:
  `MarshallingException`